1

In trying to install theano and cuda I am having problems verifying that it is installed properly.

I installed cuda with

sudo apt-get install nvidia-cuda-toolkit

and rebooted, but when I run nvidia-smi I get

nvidia-smi NVIDIA-SMI couldn't find libnvidia-ml.so library in your system. Please make sure that NVIDIA Display Driver is properly installed and present in your system. Please also try adding directory that contains libnvidia-ml.so to your system PATH.

I created a symlink

ln -s /usr/lib/nvidia-304-updates/bin/nvidia-smi /usr/bin/nvidia-smi

and added to PATH

export PATH=$PATH:/usr/lib/nvidia-304-updates

but still have the error. Any ideas for a resolution?

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.